#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		spamassassin
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	Mail-SpamAssassin
Version		:	3.4.6
Release		:	14.4.0.0%{?dist}
Summary		:	Spam filter for email which can be invoked from mail delivery agents

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://www.apache.org/dist/spamassassin/source/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	perl

BuildRequires	:	perl-BSD-Resource
BuildRequires	:	perl-HTML-Parser
BuildRequires	:	perl-HTML-Tagset
BuildRequires	:	perl-HTTP-Date
BuildRequires	:	perl-Net-DNS
BuildRequires	:	perl-NetAddr-IP
BuildRequires	:	perl-IO-Socket-SSL
BuildRequires	:	perl-IO-Socket-INET6
BuildRequires	:	re2c

Requires	:	perl-BSD-Resource
Requires	:	perl-HTML-Parser
Requires	:	perl-HTML-Tagset
Requires	:	perl-HTTP-Date
Requires	:	perl-Net-DNS
Requires	:	perl-NetAddr-IP
Requires	:	perl-IO-Socket-SSL
Requires	:	perl-IO-Socket-INET6
Requires	:	gnupg

Provides	:	%{sname}
#-----------------------------------------------------------------------------
%description
'%{name}' provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

#-----------------------------------------------------------------------------

%files			
%defattr(-,root,root,-)
%{_sysconfdir}/mail/%{sname}/*.{cf,pre}
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{sname}
%attr (0754,root,root) %{_sysconfdir}/cron.daily/%{sname}.cron
%{_bindir}/sa-*
%{_bindir}/%{sname}
%{_bindir}/spamc
%{_bindir}/spamd
%{_libdir}/perl5/%{perlvers}/core_perl/perllocal.pod
%{_datadir}/perl5/vendor_perl/%{sname}-run.pod
%{_datadir}/perl5/vendor_perl/Mail/SpamAssassin.pm
%{_datadir}/perl5/vendor_perl/Mail/SpamAssassin/*.pm
%{_datadir}/perl5/vendor_perl/Mail/SpamAssassin/*/*.pm
%{_datadir}/perl5/vendor_perl/Mail/SpamAssassin/Message/Metadata/*.pm
%{_datadir}/%{sname}/*
%{_mandir}/man1/s*.1.gz
%{_mandir}/man3/Mail::SpamAssassin.3.gz
%{_mandir}/man3/Mail::SpamAssassin::*.3.gz
%{_mandir}/man3/%{sname}-run.3.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{sname}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/sbin/chkconfig --add %{sname}
%{_sysconfdir}/rc.d/init.d/%{sname} reload > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

%{__perl}						\
	Makefile.PL					\
	DESTDIR=${buildroot}				\
	SYSCONFDIR=%{_sysconfdir}			\
	INSTALLDIRS=vendor				\
	ENABLE_SSL="yes" < /dev/null

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#installing %{sname} starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/spamd				\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{sname}

#store the fcron directive
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__cp}							\
        %{name}-ok_addon/spamd.cron			\
        %{buildroot}%{_sysconfdir}/cron.daily/%{sname}.cron

#removing systemd components
#-----------------------------------------------------------------------------
%changelog
